# Gimp.Module

    from gi.repository import Gimp

    module = Gimp.Module(auto_load=value, )

Gimp.Module is a generic mechanism to dynamically load modules into GIMP. It is a GObject.TypeModule subclass, implementing module loading using GModule.Module. Gimp.Module does not know which functionality is implemented by the modules, it just provides a framework to get arbitrary GLib.Type implementations loaded from disk.

## Hierarchy

- GObject.Object
  - GObject.TypeModule
    - Gimp.Module

## Methods

- Gimp.Module.get_auto_load
- Gimp.Module.get_file
- Gimp.Module.get_info
- Gimp.Module.get_last_error
- Gimp.Module.get_state
- Gimp.Module.is_loaded
- Gimp.Module.is_on_disk
- Gimp.Module.query_module
- Gimp.Module.set_auto_load

## Static Functions

- Gimp.Module.error_quark
- Gimp.Module.query
- Gimp.Module.register

## Properties

- auto-load
- on-disk

## Virtual functions

- Gimp.Module::modified

## Fields

- Gimp.Module->parent_instance